<?php

declare(strict_types=1);

namespace PpPhp\Core\Platform\Services\Blueprint;

use PpPhp\Core\Platform\Foundation\PlatformObject;

interface BlueprintInterface extends PlatformObject
{
    public function dependencies(): array;

    public function capabilities(): array;

    public function lifecycle(): string;

    public function visibility(): string;

    public function runtimePolicy(): array;

    public function validation(): array;
}
